## Overview

This webapp shows the warehouse's delivery docks for the whole day. The user can select the opened slots by clicking on the "+" button below the rules and drag to the opening hours. 
![webapp.png](oNmAarO3b4mK)
<br>
Once the slots are selected, the user can validate by the Submit button on the top right-hand corner. Then, it updates a dataset used as input for the optimization solver.

Keep in mind that it will have an impact on the optimization. Indeed, if there's not enough docks opened, time range for a dock or if the product compatibility is not taken into account, the optimization will fail.  


## Few technical considerations
This is a ["standard" webapp](https://doc.dataiku.com/dss/latest/webapps/index.html#standard-web-apps) written in HTML, CSS, Javascript and Python. 
The webapp uses a temporary dataset called [webapp_cache](dataset:webapp_cache) that is mandatory for the webapp to work.
The compatibilities are retrieved from the [input_compatibility](dataset:input_compatibility) dataset and finally, the webapp's backend converts the slots availabilities to the expected format by the solver and saves it in the [webapp_slots_availability](dataset:webapp_slots_availability) dataset.